#ifndef RESOURCEMANAGER_H
#define RESOURCEMANAGER_H

#include <QLabel>
#include <QMovie>
#include <QObject>

class ResourceManager : public QObject
{
    Q_OBJECT
public:
    explicit ResourceManager(QObject *parent = nullptr);

    void painting();
    void startLoadingAnim();
    void stopLoadingMovie();

    QMovie *getMovie() const;
    QIcon *getSettingsIcon() const;
    QIcon *getUnsavedIcon() const;
    QIcon *getCloseIcon() const;

signals:

private:
    QMovie *movie;
    QIcon *settingsIcon;
    QIcon *unsavedIcon;
    QIcon *closeIcon;
};

#endif // RESOURCEMANAGER_H
